commit:     c26d4a7531fce17542497eb5519b1e39125da6af
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 15 11:47:49 2025 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Mar 15 11:52:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c26d4a75

app-emacs/emacs-daemon: Restore ebuild for 0.23

Possible stable candidate for the case that stabilisation of
emacs-common-1.11 would be delayed.

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-emacs/emacs-daemon/Manifest                    |  1 +
 app-emacs/emacs-daemon/emacs-daemon-0.23-r1.ebuild | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-emacs/emacs-daemon/Manifest b/app-emacs/emacs-daemon/Manifest
index 0d2732c2d1a5..4f0798953018 100644
--- a/app-emacs/emacs-daemon/Manifest
+++ b/app-emacs/emacs-daemon/Manifest
@@ -1,2 +1,3 @@
 DIST emacs-daemon-0.22.tar.xz 5276 BLAKE2B 
a866b14951df94e1d382253dcb7045beb800c9dd754f7eed40eadecde43fd583bb2bc20ad9ccc9f87174b06aadbb26f7875deaf36d9bb5325f98ffa58fded8c7
 SHA512 
f013cd00d3a24ca348bf718dd20dec7bea89107c0a27c921d6b58595b611991830604fc658d57681708218fbee1dae6dd0b277a2a9da67639e3553e0fd133094
+DIST emacs-daemon-0.23.tar.xz 4876 BLAKE2B 
95fd9fc2b038dd60d4fc889674f4f1c3e5c0f8894a0161a0ea626835e91d500766e7fb50f8efafd70b0a45129626968147009c218b55ca0df6c6da50b8cb99dc
 SHA512 
90f4b5b22df17106173de6116f45d902613b60b4b837293ea5f7843ad4967f68f9920cb301ef1edc50c6c831941be487b456ac8c1bc41ae41a55c6e1ea135343
 DIST emacs-daemon-0.25.tar.xz 4612 BLAKE2B 
d2207b69b2a6d13b95095dc2f4d89c93e291dd8475379454314a4d1daad0ae8414fb3081a17350e536ce2320a002fb32fd6f239b91280726aac9cdc636ece682
 SHA512 
66a9d4ab89f3c27727ceb3d6e689b7a59ce7c10afbb0e4f29011aee499a6c6299887dcb0c92998e424068ae1b12d56ad74d0fe2583059eca9130bb57b7d44a14

diff --git a/app-emacs/emacs-daemon/emacs-daemon-0.23-r1.ebuild 
b/app-emacs/emacs-daemon/emacs-daemon-0.23-r1.ebuild
new file mode 100644
index 000000000000..956ea34d24a0
--- /dev/null
+++ b/app-emacs/emacs-daemon/emacs-daemon-0.23-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Gentoo support for Emacs running as a server in the background"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+SITEFILE="10${PN}-gentoo.el"
+
+pkg_setup() {
+       local has_daemon has_gtk line
+       has_daemon=$(${EMACS} ${EMACSFLAGS} --eval "(princ (fboundp 'daemonp))")
+       has_gtk=$(${EMACS} ${EMACSFLAGS} --eval "(princ (featurep 'gtk))")
+
+       if [[ ${has_daemon} != t ]]; then
+               while read line; do ewarn "${line}"; done <<-EOF
+               Your current Emacs version does not support running as a daemon 
which
+               is required for ${CATEGORY}/${PN}.
+               Use "eselect emacs" to select an Emacs version >= 23.
+               EOF
+       elif [[ ${has_gtk} == t ]]; then
+               while read line; do ewarn "${line}"; done <<-EOF
+               Your current Emacs is compiled with GTK+. There is a 
long-standing bug
+               in GTK+ that prevents Emacs from recovering from X disconnects:
+               <https://gitlab.gnome.org/GNOME/gtk/-/issues/221> and
+               <https://gitlab.gnome.org/GNOME/gtk/-/issues/2315>.
+               If you run Emacs as a daemon, then it is strongly recommended 
that you
+               compile it with the Lucid or the Motif toolkit instead, i.e. 
with
+               USE="athena Xaw3d -gtk -motif" or USE="motif -gtk -athena 
-Xaw3d".
+               EOF
+       fi
+}
+
+src_prepare() {
+       sed -i '/checkpath/s/"${USER}"/0/' emacs.rc || die
+       default
+}
+
+src_compile() { :; }
+
+src_install() {
+       newinitd emacs.rc emacs
+       newconfd emacs.conf emacs
+       exeinto /usr/libexec/emacs
+       doexe emacs-wrapper.sh
+       elisp-site-file-install "${SITEFILE}"
+       dodoc README ChangeLog
+}

Reply via email to